> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send customer push

> Send one push notification to one active customer using an active push template. This sends synchronously and does not create delivery history.



## OpenAPI

````yaml POST /push/customers/{id}/send
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /push/customers/{id}/send:
    post:
      summary: Send a push to one customer
      description: >-
        Send one push notification to one active customer using an active push
        template. This sends synchronously and does not create delivery history.
      operationId: sendCustomerPush
      parameters:
        - in: header
          name: x-account-id
          description: The account id that owns the customer and push template.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: id
          description: The customer unique identifier in your system
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PushCustomerSendRequest'
            example:
              push_template_id: 00000000-0000-4000-8000-000000000002
      responses:
        '200':
          description: Push sent
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PushCustomerSendResult'
              example:
                data:
                  sent: true
                  customer_id: customer-1
                  push_template_id: 00000000-0000-4000-8000-000000000002
        '404':
          description: Customer or push template not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Customer cannot receive push or Firebase send failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PushCustomerSendRequest:
      type: object
      required:
        - push_template_id
      properties:
        push_template_id:
          description: The active push template id to send
          type: string
          format: uuid
    PushCustomerSendResult:
      type: object
      properties:
        sent:
          type: boolean
          example: true
        customer_id:
          description: The customer id that received the push
          type: string
        push_template_id:
          description: The push template id used for the send
          type: string
          format: uuid
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````